## org.eclipse.emf.ecore.xmi
Interface XMLLoad

All Known Implementing Classes:
  EMOFLoadImpl, GenericXMLResourceImpl.GenericXMLLoadImpl, XMILoadImpl, XMLLoadImpl

    public interface XMLLoad

This defines the methods for the interface that XMLResourceImpl uses to load the resource.

Method Summary
`XMLDefaultHandler` `createDefaultHandler()`
`void` `load(XMLResource resource, org.xml.sax.InputSource inputSource, java.util.Map<?,?> options)`
`void` `load(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)`
`void` `load(XMLResource resource, org.w3c.dom.Node node, java.util.Map<?,?> options)`

Method Detail

### load

    void load(XMLResource resource,
              java.io.InputStream inputStream,
              java.util.Map<?,?> options)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    void load(XMLResource resource,
              org.xml.sax.InputSource inputSource,
              java.util.Map<?,?> options)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    void load(XMLResource resource,
              org.w3c.dom.Node node,
              java.util.Map<?,?> options)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### createDefaultHandler

    XMLDefaultHandler createDefaultHandler()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.